## sysvinit 2.88dsf

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.85-13  23-Mar-2004  miquels@cistron.nl
#

CPPFLAGS =
CFLAGS	?= -ansi -O2 -fomit-frame-pointer
override CFLAGS += -W -Wall -D_GNU_SOURCE
STATIC	=

# For some known distributions we do not build all programs, otherwise we do.
BIN	=
SBIN	= init halt shutdown runlevel killall5 fstab-decode
USRBIN	= last mesg

MAN1	= last.1 lastb.1 mesg.1
MAN5	= initscript.5 inittab.5
MAN8	= halt.8 init.8 killall5.8 pidof.8 poweroff.8 reboot.8 runlevel.8
MAN8	+= shutdown.8 telinit.8 fstab-decode.8

ifeq ($(DISTRO),)
BIN	+= mountpoint
SBIN	+= sulogin bootlogd
USRBIN	+= utmpdump wall
MAN1	+= utmpdump.1 mountpoint.1 wall.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Debian)
CPPFLAGS+= -DACCTON_OFF
BIN	+= mountpoint
SBIN	+= sulogin bootlogd
MAN1	+= mountpoint.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Owl)
USRBIN	+= wall
MAN1	+= wall.1
endif

ifeq ($(DISTRO),SuSE)
CPPFLAGS+= -DUSE_SYSFS -DSANE_TIO -DSIGINT_ONLYONCE -DUSE_ONELINE
BIN	+= mountpoint
SBIN	+= sulogin
USRBIN	+= utmpdump
MAN1	+= utmpdump.1 mountpoint.1
MAN8	+= sulogin.8
endif

ID		= $(shell id -u)
BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER):$(BIN_GROUP)
ifeq ($(ID),0)
  INSTALL_EXEC	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 755
  INSTALL_DATA	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 644
else
  INSTALL_EXEC	= install -m 755
  INSTALL_DATA	= install -m 644
endif
INSTALL_DIR	= install -m 755 -d
MANDIR		= /usr/share/man

ifeq ($(WITH_SELINUX),yes)
  SELINUX_DEF	=  -DWITH_SELINUX
  INITLIBS	+= -lsepol -lselinux
  SULOGINLIBS	= -lselinux	
else
  SELINUX_DEF	=
  INITLIBS	=
  SULOGINLIBS	=
endif

# Additional libs for GNU libc.
HAS_LIBCRYPT=$(shell f=`mktemp` && echo 'int main(void) {}' | $(CC) -o $$f -xc - -lcrypt >/dev/null 2>&1 && echo yes; rm -f $$f)
ifeq ($(HAS_LIBCRYPT),yes)
  SULOGINLIBS += -lcrypt
endif

all:		$(BIN) $(SBIN) $(USRBIN)

#%: %.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
#%.o: %.c
#	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@

init:		LDLIBS += $(INITLIBS) $(STATIC)
init:		init.o init_utmp.o

halt:		halt.o ifdown.o hddown.o utmp.o reboot.h

last:		last.o oldutmp.h

mesg:		mesg.o

mountpoint:	mountpoint.o

utmpdump:	utmpdump.o

runlevel:	runlevel.o

sulogin:	LDLIBS += $(SULOGINLIBS) $(STATIC)
sulogin:	sulogin.o

wall:		dowall.o wall.o

shutdown:	dowall.o shutdown.o utmp.o reboot.h

bootlogd:	LDLIBS += -lutil
bootlogd:	bootlogd.o

sulogin.o:	CPPFLAGS += $(SELINUX_DEF)
sulogin.o:	sulogin.c 

init.o:		CPPFLAGS += $(SELINUX_DEF)
init.o:		init.c init.h set.h reboot.h initreq.h

utmp.o:		utmp.c init.h

init_utmp.o:	CPPFLAGS += -DINIT_MAIN
init_utmp.o:	utmp.c init.h
		$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(BIN) $(SBIN) $(USRBIN)

distclean:	clobber

install:
		$(INSTALL_DIR) $(ROOT)/bin/ $(ROOT)/sbin/
		$(INSTALL_DIR) $(ROOT)/usr/bin/
		for i in $(BIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/bin/ ; \
		done
		for i in $(SBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/sbin/ ; \
		done
		for i in $(USRBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/usr/bin/ ; \
		done
		# $(INSTALL_DIR) $(ROOT)/etc/
		# $(INSTALL_EXEC) initscript.sample $(ROOT)/etc/
		ln -sf halt $(ROOT)/sbin/reboot
		ln -sf halt $(ROOT)/sbin/poweroff
		ln -sf init $(ROOT)/sbin/telinit
		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
			ln -sf last $(ROOT)/usr/bin/lastb; \
		fi
		$(INSTALL_DIR) $(ROOT)/usr/include/
		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man1/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man5/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man8/
		for i in $(MAN1); do \
			$(INSTALL_DATA) ../man/$$i $(ROOT)$(MANDIR)/man1/; \
		done
		for i in $(MAN5); do \
			$(INSTALL_DATA) ../man/$$i $(ROOT)$(MANDIR)/man5/; \
		done
		for i in $(MAN8); do \
			$(INSTALL_DATA) ../man/$$i $(ROOT)$(MANDIR)/man8/; \
		done
ifeq ($(ROOT),)
		#
		# This part is skipped on Debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /dev/initctl ]; then \
		 echo "Creating /dev/initctl"; \
		 rm -f /dev/initctl; \
		 mknod -m 600 /dev/initctl p; fi
endif

=== debian/changelog ===
sysvinit (2.88dsf-59.9) unstable; urgency=medium

  [ Martin Pitt ]
  * Mark sysvinit-utils as Multi-Arch: foreign, like sysv-rc and initscripts.

  [ Michael Biebl ]
  * Demote priority of sysv-rc and initscripts to optional.

  [ Petter Reinholdtsen ]
  * Avoid remounting tmpfs, linprocfs and linsysfs on kFreeBSD
    (Closes: #833687).  These file systems are not remountable.  The
    change avoid a warning from mount.  Based on Patch from Jon Boden.

  [ Ian Jackson ]
  * Add myself to Uploaders, as part of adopting the package.
    Closes:#811377 (RFA bug).
  * Add Benda Xu to Uploaders, as requested in #811377.

  [ Ben Hutchings ]
  * Keep /usr mounted read-only on shutdown (Closes: #757083)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 12 Feb 2017 21:55:39 +0000

sysvinit (2.88dsf-59.8) unstable; urgency=medium

  * Non-maintainer upload.

  [ Benda Xu ]
  * Add openrc to the dependencies of initscripts and sysvinit-core.
    openrc is going to drop Provides: sysv-rc.

  [ Michael Biebl ]
  * Update Vcs-* fields to use the canonical alioth URLs and prefer https://.
  * Drop obsolete Conflicts, Breaks and Replaces from pre-wheezy.
  * Drop Suggests: sash from sysvinit-utils. It is obsolete now that we use
    the sulogin implementation from util-linux.
  * Move Suggests: bootlogd from sysvinit-utils to sysvinit-core. Under
    systemd, bootlogd is non-functional. So only suggest its installation when
    sysvinit-core is the active init system. (Closes: #754443)
  * Document that /etc/default/{rcS,tmpfs} are ignored when systemd is the
    active init system. (Closes: #776963)
  * Drop transitional sysvinit package. It has served its purpose for the
    wheezy → jessie transition and keeping it around for longer only leads to
    confusion as it doesn't setup /etc/inittab which is necessary to boot with
    SysV. This functionality has moved into sysvinit-core, which should be
    used instead in such a case. (Closes: #781766)

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jul 2016 15:28:28 +0200

sysvinit (2.88dsf-59.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop sysvinit-utils' versioned Breaks: on initscripts, as this causes apt
    to fail upgrades because of Breaks/Depends loops on essential packages.
    Only keep the Replaces: for moving vars.sh. (Closes: #827705)

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Jun 2016 12:33:26 +0200

sysvinit (2.88dsf-59.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump versioned initscripts dependency to sysvinit-utils to ensure that we
    get the one with vars.sh. (Closes: #827212)

 -- Martin Pitt <mpitt@debian.org>  Mon, 13 Jun 2016 22:04:06 +0300

sysvinit (2.88dsf-59.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Henriksson ]
  * bootlogd: mention it won't do anything under systemd (Closes: #791907)

  [ Martin Pitt ]
  * Move /lib/init/vars.sh from initscripts to sysvinit-utils. It's not
    specific to initscripts, but API for other init scripts similar to
    /lib/init/init-d-script. This will allow initscripts to drop from the
    default installation. (Closes: #826205)
  * Drop startpar dependency from sysvinit-utils. It's only being used by
    sysv-rc and remains a dependency of that. (Closes: #825937)

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jun 2016 15:25:01 +0200

sysvinit (2.88dsf-59.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Petter Reinholdtsen ]
  * Fix typo in init-d-script(5) reported by Eric S. Raymond.

  [ Andreas Henriksson ]
  * sysvinit-utils: move util-linux back to Depends (instead of Breaks)
    - that's where it belonged and can be put now that the cyclic-dep
      (via initscripts pkg) workaround is no longer needed.
    - also bump util-linux version to the one with the matching change.
    Closes: #823569
  * Add a basic debian/gbp.conf with debian/upstream branch names

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 06 May 2016 05:55:46 +0200

sysvinit (2.88dsf-59.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Samuel Thibault ]
  * /etc/init.d/rc: Mount /proc on GNU/Hurd too (Closes: #798406)

  [ Ben Hutchings ]
  * Add support for mount and fsck of root and /usr by an initramfs:
    - checkroot.sh: Do nothing if /run/initramfs/fsck-root exists
    - checkfs.sh: Pass -M option to fsck instead of -R (Closes: #697002)
    - mountall.sh: Remount /usr if already mounted
  * Remove current uploaders, all of which have retired

  [ Andreas Henriksson ]
  * Move service control commands to init-system-helpers (Closes: #805487)
    - sysv-rc: Drop invoke-rc.d + update-rc.d
    - sysvinit-utils: Drop service
    - sysv-rc/sysvinit-utils: (Pre-)Depends on init-system-helpers
    - sysv-rc: drop now obsolete Conflicts/Replaces file-rc

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 18 Jan 2016 14:39:32 +0000

sysvinit (2.88dsf-59.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Martin Pitt ]
  * Previous version introduced a circular dependency sysvinit-utils →
    util-linux → initscripts →  sysvinit-utils. Drop sysvinit-utils' versioned
    Depends: on util-linux again and replace with versioned Breaks:.
    This fixes debootstrap troubles like LP: #1456670.
  * service, invoke-rc.d: Don't ignore systemd unit dependencies in "degraded"
    mode. Followup fix for #777113, see LP: #1429734.
  * Drop 91_sulogin_lockedpw.dpatch: Obsolete now that we ship sulogin from
    util-linux.

  [ Andreas Henriksson ]
  * Update dependency for /bin/mountpoint being moved to util-linux instead
    of mount. Use breaks instead of depends to avoid circular dependency.

 -- Martin Pitt <mpitt@debian.org>  Thu, 21 May 2015 13:33:26 +0200

sysvinit (2.88dsf-59.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Martin Pitt ]
  * service, invoke-rc.d: Avoid deadlocks during bootup and shutdown from
    units/hooks which call "invoke-rc.d service reload" and similar, since the


=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Uploaders: Ian Jackson <ijackson@chiark.greenend.org.uk>,
           Benda Xu <heroxbd@gmail.com>
Build-Depends:
 debhelper (>= 9.20120410),
 po-debconf,
 quilt (>= 0.40),
 libselinux1-dev (>= 1.14) [linux-any],
 libsepol1-dev [linux-any]
Standards-Version: 3.9.5
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://anonscm.debian.org/git/collab-maint/sysvinit.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysvinit.git

Package: sysvinit-core
Priority: extra
Architecture: any
Depends: initscripts (>= 2.88dsf-13.3),
 sysv-rc | file-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 ${shlibs:Depends},
 ${misc:Depends},
# For ischroot
 debianutils (>= 4),
# Required for TERM=xterm switch (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any]
Conflicts: systemd-sysv, upstart
Replaces: sysvinit (<< 2.88dsf-44~), systemd-sysv, upstart
Suggests: bootlogd
Description: System-V-like init utilities
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Replaces: initscripts (<< 2.88dsf-59.5)
Depends: ${shlibs:Depends}, ${misc:Depends}, init-system-helpers (>= 1.25~)
# sulogin, last, lastb and mesg was moved to the util-linux package
 , util-linux (>> 2.28-2~)
Breaks: systemd (<< 215)
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, pidof

Package: sysv-rc
Architecture: all
Multi-Arch: foreign
Recommends: lsb-base (>= 3.2-14)
Suggests: bum
Pre-Depends: init-system-helpers (>= 1.25~)
Depends:
 ${misc:Depends},
 sysvinit-utils (>= 2.86.ds1-62),
 insserv (>> 1.12.0-10)
 , startpar
Breaks: systemd (<< 215)
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends}, ${misc:Depends}, ${mount:Depends},
 debianutils (>= 4),
 lsb-base (>= 3.2-14),
 sysvinit-utils (>= 2.88dsf-59.5), sysv-rc | file-rc | openrc,
 coreutils (>= 5.93),
Recommends: psmisc, e2fsprogs
Breaks:
# Needed for ifquery
 ifupdown (<< 0.7.46),
# /bin/mountpoint was moved to util-linux
 util-linux (<< 2.26.2-4~),
# Older versions of hurd do not implement the neccessary functionality
 hurd (<< 0.5.git20131101~)
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

=== debian/rules ===
#! /usr/bin/make -f

tmp     = $(CURDIR)/debian/tmp
sysvtmp = $(CURDIR)/debian/sysvinit-core
utiltmp = $(CURDIR)/debian/sysvinit-utils
rctmp   = $(CURDIR)/debian/sysv-rc
inittmp = $(CURDIR)/debian/initscripts
bootlogdtmp = $(CURDIR)/debian/bootlogd
doc	= /usr/share/doc

LC_ALL	= POSIX

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

INSTALL_DATA = install -o root -g root -m 644
INSTALL      = install -o root -g root -m 755

# Handle cross builds
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
# CROSS is passed to make, CC is called directly.
CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

# Set arch specific build flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = WITH_SELINUX="yes"
endif

DH_OPTIONS =

# Use debhelper's dh
%:
	dh $@ $(DH_OPTIONS)

override_dh_auto_build:
	$(MAKE) $(CROSS) $(CONFFLAGS) -C src DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	$(MAKE) -C debian/src/bootlogd install DESTDIR=$(bootlogdtmp)
	$(MAKE) -C debian/src/initscripts install DESTDIR=$(inittmp)
	$(MAKE) -C src $(CROSS) ROOT=$(tmp) DISTRO=Debian install

override_dh_auto_install-indep:
	$(MAKE) -C debian/src/sysv-rc install DESTDIR=$(rctmp)

override_dh_install-arch:
	dh_install

	# sysvinit package
	if test -e debian/share/inittab.$(DEB_HOST_GNU_TYPE) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_TYPE) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) ; \
	then \
		$(INSTALL_DATA) \
			debian/share/inittab.$(DEB_HOST_GNU_SYSTEM) \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	else \
		$(INSTALL_DATA) debian/share/inittab \
			$(sysvtmp)/usr/share/sysvinit/inittab ; \
	fi

	# initscripts package may include /sys
ifneq (,$(findstring $(DEB_HOST_ARCH_OS),linux kfreebsd))
	$(INSTALL) -d $(inittmp)/sys
endif

install-arch: build-arch
	dh $@ $(DH_OPTIONS)

override_dh_installchangelogs-arch:
	dh_installchangelogs -psysvinit-core doc/Changelog

	dh_installchangelogs -psysvinit-utils doc/Changelog
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(utiltmp)$(doc)/sysvinit-utils/changelog.Debian

	dh_installchangelogs -pinitscripts
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(inittmp)$(doc)/initscripts/changelog.Debian

	dh_installchangelogs -pbootlogd
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(bootlogdtmp)$(doc)/bootlogd/changelog.Debian

override_dh_installchangelogs-indep:
	dh_installchangelogs
	sed -i -ne '/sysvinit (2.86.ds1-47)/q' -e p \
		$(rctmp)$(doc)/sysv-rc/changelog.Debian

override_dh_fixperms:
	dh_fixperms -X/etc/init.d/skeleton -X/etc/init.d/README

override_dh_installdeb-arch:
	dh_installdeb

	# Override autogenerated conffiles
	$(INSTALL_DATA) debian/initscripts.conffiles \
		$(inittmp)/DEBIAN/conffiles
	sh debian/deps-mount >> debian/initscripts.substvars

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	# The Hurd has its own halt and reboot commands.
	mv $(sysvtmp)/usr/share/man/man8/halt.8.gz $(sysvtmp)/usr/share/man/man8/halt-sysv.8.gz
	rm $(sysvtmp)/usr/share/man/man8/reboot.8.gz
	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
	rm $(sysvtmp)/sbin/reboot
	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
	# Add runsystem to conffiles, suppress lintian error
	echo /etc/hurd/runsystem.sysv >> $(inittmp)/DEBIAN/conffiles
else
	rm -rf $(inittmp)/etc/hurd
endif

override_dh_installdeb-indep:
	dh_installdeb

	# Neither rc, rcS nor README are conffiles
	$(RM) $(rctmp)/DEBIAN/conffiles

override_dh_clean:
	dh_clean
	$(MAKE) -C src clobber

.PHONY: override_dh_auto_build override_dh_auto_install-arch override_dh_auto_install-indep override_dh_installchangelogs-arch override_dh_installchangelogs-indep override_dh_fixperms override_dh_installdeb-arch override_dh_installdeb-indep override_dh_clean install-arch

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases/sysvinit/ \
(?:|.*/)sysvinit(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## sysvinit 2.92~beta

=== debian/changelog ===
sysvinit (2.92~beta-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * Restore umount at shutdown of filesystems mounted before /usr
    (Closes: #872039).  Thanks to Elrond for this patch.

  [ Dmitry Bogaotv ]
  * Fix typo in `/etc/init.d/bootclean.sh' (Closes: #914432)
    + Thanks: Jörg-Volker Peetz <jvpeetz@web.de>

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 23 Nov 2018 16:45:40 +0000

sysvinit (2.92~beta-1) unstable; urgency=medium

  [ Vincenzo (KatolaZ) Nicosia ]
  * New upstream release (Closes: #725123, #571590, #815839)
    (Closes: #905245, #890478, #402847, #717531, #590895, #630661)
    (Closes: #719273, #361935, #614893, #375274)
  * Refresh patches

  [ Benda Xu ]
  * Provide an example for running inside systemd-nspawn (Closes: #799329).

  [ Dmitry Bogatov ]
  * Upload to unstable
  * Adjust `debian/watch' to translate `-beta' suffix into `~beta'.
  * Remove redundant `/etc/init.d/motd' (Closes: #735521)
  * Pass `--force' option to `sulogin' program, enabling maintenance
    in single mode on systems, where `root' user is disabled. (Closes: #82366)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 22 Nov 2018 16:13:55 +0000

sysvinit (2.91-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Revert changes, that removed `Uploaders' field
  * Make Vcs-* fields to point to debian/ repository
  * Revert changes to LSB headers that introduced breakages
    (Thanks: Andreas Henriksson)
  * Add lintian overrides for warnings about LSB headers
  * Update debian/copyright since `start-stop-daemon.c'
    is no longer provided by upstream.
  * Update `debian/watch' to check PGP signature
  * Change mailing field in `Maintainer' field
  * Support GNU/kFreeBSD-specific UFS filesystem in `bootclean.sh' script
    (Closes: #764662)
    + Thanks: Steven Chamberlain <steven@pyro.eu.org>
  * wrap-and-sort -sta (Closes: #774179)
  * Update example script in init-d-script(5) to work correctly on Debian
    GNU/kFreeBSD (Closes: #913247)
  * Remove `/etc/init.d/skeleton' from bin:initscripts, which is superseded
    by init-d-script(5) (Closes: #913154, #810229, #507868, #578827)
  * Remove alternative dependency on `file-rc', which is removed from Archives.
    (Closes: #911044)
  * Do not attempt to set hostname to value, just returned by hostname(1)
    in `/etc/init.d/hostname.sh' (Closes: #628140)
  * Simplify `/etc/init.d/hostname.sh' script, since output of hostname(1)
    is never empty.
  * Remove compressed logs on purge of `bootlogd' (Closes: #724712)
  * Fix whitespace errors in scripts.
  * Minor cleanup of `/etc/init.d/bootlogd' (Closes: #538334)
  * Fix misleading desciption of `PIDFILE' variable in init-d-script(5)
    (Closes: #822654)

  [ Vincenzo (KatolaZ) Nicosia ]
  * New upstream release (Closes: #515595, #890041, #463771)
  * Refreshed patches
  * Add Vincenzo Nicosia to uploaders
  * Update list of copyright holders of debian/* files
  * Remove unnecessary patches

  [ Boyuan Yang ]
  * Remove sysv-rc's suggestion to bum, this package has
    been removed from the archive.

  [ Benda Xu ]
  * Select patches from Cristian Ionescu-Idbohrn (Closes: #699087).
  * Revert 7f0c9952b, swap is handled in checkroot.sh (Closes: #619869).
  * Provide a USB console example in inittab (Closes: #477656).

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 15 Nov 2018 15:43:24 +0000

sysvinit (2.88dsf-60) experimental; urgency=medium

  * New maintainer (Closes: #811377)
  * Update debian/gbp.conf
  * Replace deprecated priority 'extra' with 'optional'
  * Fix whitespace errors in `debian/changelog'
  * Update Vcs-* fields in `debian/control'
  * Update standards version to 4.2.1 (no changes needed)
  * Convert `debian/copyright' to dep-5 format
  * Bump compat version to 11 (no changes needed)
  * Clean-up unused lintian overrides
  * Remove unused debconf template
  * Declare missing dependency on $local_fs in init scripts
  * Remove virtual dependency $all from all scripts, except rc.local
  * Add lintian overrides about scripts not being registered with
    `update-rc.d'. Actually, they are registered with hand-written
    code in `postrm' scripts

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 26 Oct 2018 08:35:02 +0000

sysvinit (2.88dsf-59.11) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mert Dirik ]
  * Make sure that services using init-d-script can be properly
    redirected to systemctl. (Closes: #826214)
  * Avoid naming collisions when storing the script name in init-d-script
    by using a custom prefix.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Oct 2018 16:04:09 +0200

sysvinit (2.88dsf-59.10) unstable; urgency=medium

  * Non-maintainer upload.
  * The init scripts provided by the bootlogd and initscripts package are
    specific to sysvinit/sysv-rc and should not be run when systemd is the
    active init system. To ensure that, mask those services by creating a
    symlink pointing at /dev/null which tells systemd to ignore those
    services. (Closes: #874685)

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Sep 2017 21:18:37 +0200

## sysvinit 2.93

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up object files
#			   clobber  really cleans up
#
# Version:	@(#)Makefile  2.85-13  23-Mar-2004  miquels@cistron.nl
#

CPPFLAGS =
CFLAGS  ?= -O2
override CFLAGS += -ansi -fomit-frame-pointer -fstack-protector-strong -W -Wall -Wunreachable-code -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -D_XOPEN_SOURCE -D_GNU_SOURCE -DVERSION=\"$(VERSION)\"
override CFLAGS += $(shell getconf LFS_CFLAGS)
STATIC	=
MANDB	:= s@^\('\\\\\"\)[^\*-]*-\*- coding: [^[:blank:]]\+ -\*-@\1@

#
# Leave empty if the mountpoint(1) command from util-linux 2.20
# and above should be used, otherwise set it to yes.
#
MNTPOINT=

# For some known distributions we do not build all programs, otherwise we do.
BIN	=
SBIN	= init halt shutdown runlevel killall5 fstab-decode
USRBIN	= last mesg readbootlog

MAN1	= last.1 lastb.1 mesg.1 readbootlog.1
MAN5	= initscript.5 inittab.5 initctl.5
MAN8	= halt.8 init.8 killall5.8 pidof.8 poweroff.8 reboot.8 runlevel.8
MAN8	+= shutdown.8 telinit.8 fstab-decode.8

ifeq ($(DISTRO),)
SBIN	+= sulogin bootlogd
USRBIN	+= utmpdump wall
MAN1	+= utmpdump.1 wall.1
MAN8	+= sulogin.8 bootlogd.8
endif

ifeq ($(DISTRO),Debian)
CPPFLAGS+= -DACCTON_OFF
SBIN	+= sulogin bootlogd
MAN8	+= sulogin.8 bootlogd.8
MANDB	:=
endif

ifeq ($(DISTRO),Owl)
USRBIN	+= wall
MAN1	+= wall.1
MANDB	:=
endif

ifeq ($(DISTRO),SuSE)
CPPFLAGS+= -DUSE_SYSFS -DSANE_TIO -DSIGINT_ONLYONCE -DUSE_ONELINE
SBIN	+= sulogin
USRBIN	+= utmpdump
MAN1	+= utmpdump.1
MAN8	+= sulogin.8
MANDB	:=
endif

ifeq ($(MNTPOINT),yes)
BIN	+= mountpoint
MAN1	+= mountpoint.1
endif

ID		= $(shell id -u)
BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER):$(BIN_GROUP)
ifeq ($(ID),0)
  INSTALL_EXEC	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 755
  INSTALL_DATA	= install -o $(BIN_OWNER) -g $(BIN_GROUP) -m 644
else
  INSTALL_EXEC	= install -m 755
  INSTALL_DATA	= install -m 644
endif
INSTALL_DIR	= install -m 755 -d
MANDIR		= /usr/share/man

ifeq ($(WITH_SELINUX),yes)
  SELINUX_DEF	=  -DWITH_SELINUX
  INITLIBS	+= -lsepol -lselinux
  SULOGINLIBS	= -lselinux	
else
  SELINUX_DEF	=
  INITLIBS	=
  SULOGINLIBS	=
endif

# Additional libs for GNU libc.
ifneq ($(wildcard /usr/lib*/libcrypt.*),)
  SULOGINLIBS	+= -lcrypt
endif

# Additional libs for GNU libc / multiarch on Debian based systems.
ifneq ($(wildcard /usr/lib/*/libcrypt.*),)
  SULOGINLIBS	+= -lcrypt
endif

all:		$(BIN) $(SBIN) $(USRBIN)

#%: %.o
#	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
#%.o: %.c
#	$(CC) $(CFLAGS) $(CPPFLAGS) -c $^ -o $@

init:		LDLIBS += $(INITLIBS) $(STATIC)
init:		init.o init_utmp.o runlevellog.o

halt:		LDLIBS += $(STATIC)
halt:		halt.o ifdown.o hddown.o utmp.o runlevellog.o

last:		LDLIBS += $(STATIC)
last:		last.o

mesg:		LDLIBS += $(STATIC)
mesg:		mesg.o

mountpoint:	LDLIBS += $(STATIC)
mountpoint:	mountpoint.o

utmpdump:	LDLIBS += $(STATIC)
utmpdump:	utmpdump.o

runlevel:	LDLIBS += $(STATIC)
runlevel:	runlevel.o runlevellog.o

sulogin:	LDLIBS += $(SULOGINLIBS) $(STATIC)
sulogin:	sulogin.o consoles.o

wall:		LDLIBS += $(STATIC)
wall:		dowall.o wall.o

shutdown:	LDLIBS += $(STATIC)
shutdown:	dowall.o shutdown.o utmp.o

bootlogd:	LDLIBS += -lutil $(STATIC)
bootlogd:	bootlogd.o bootlogd.h

readbootlog:	LDLIBS += $(STATIC)
readbootlog:	readbootlog.o bootlogd.h

fstab-decode:	LDLIBS += $(STATIC)
fstab-decode:	fstab-decode.o

sulogin.o:	CPPFLAGS += $(SELINUX_DEF)
sulogin.o:	sulogin.c 

runlevellog.o:	runlevellog.h runlevellog.c paths.h

init.o:		CPPFLAGS += $(SELINUX_DEF)
init.o:		init.c init.h initreq.h paths.h reboot.h runlevellog.h runlevellog.c set.h paths.h

utmp.o:		

init_utmp.o:	CPPFLAGS += -DINIT_MAIN
init_utmp.o:	utmp.c init.h initreq.h paths.h
		$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

utmpdump.o:	utmpdump.c oldutmp.h

shutdown.o:	shutdown.c paths.h reboot.h initreq.h init.h

halt.o:		halt.c reboot.h paths.h runlevellog.c runlevellog.h

last.o:		last.c oldutmp.h

consoles.o:	consoles.c consoles.h

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(BIN) $(SBIN) $(USRBIN)

distclean:	clobber

install:	all
		$(INSTALL_DIR) $(ROOT)/bin/ $(ROOT)/sbin/
		$(INSTALL_DIR) $(ROOT)/usr/bin/
		for i in $(BIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/bin/ ; \
		done
		for i in $(SBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/sbin/ ; \
		done
		for i in $(USRBIN); do \
			$(INSTALL_EXEC) $$i $(ROOT)/usr/bin/ ; \
		done
		# $(INSTALL_DIR) $(ROOT)/etc/
		# $(INSTALL_EXEC) ../doc/initscript.sample $(ROOT)/etc/
		ln -sf halt $(ROOT)/sbin/reboot
		ln -sf halt $(ROOT)/sbin/poweroff
		ln -sf init $(ROOT)/sbin/telinit
		ln -sf /sbin/killall5 $(ROOT)/bin/pidof
		if [ ! -f $(ROOT)/usr/bin/lastb ]; then \
			ln -sf last $(ROOT)/usr/bin/lastb; \
		fi
		$(INSTALL_DIR) $(ROOT)/usr/include/
		$(INSTALL_DATA) initreq.h $(ROOT)/usr/include/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man1/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man5/
		$(INSTALL_DIR) $(ROOT)$(MANDIR)/man8/
		for man in $(MAN1); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man1/; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man1/$$man ; \
		done
		for man in $(MAN5); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man5/; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man5/$$man ; \
		done
		for man in $(MAN8); do \
			$(INSTALL_DATA) ../man/$$man $(ROOT)$(MANDIR)/man8/; \
			sed -i "1{ $(MANDB); }" $(ROOT)$(MANDIR)/man8/$$man ; \
		done
ifeq ($(ROOT),)
		#
		# This part is skipped on Debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /run/initctl ]; then \
		 echo "Creating /run/initctl"; \
		 rm -f /run/initctl; \
		 mknod -m 600 /run/initctl p; fi
endif

=== debian/changelog ===
sysvinit (2.93-3) unstable; urgency=medium

  * Make initscripts gracefully handle missing logsave(8) (Closes: #910289)
  * Correctly umount block devices, mounted under /run (Closes: #917139)
  * Remove obsolete `/etc/init.d/motd' (Closes: #915051)
  * Update path to `nologin' file in `bootmisc.sh' script (Closes: #743743)
  * Fix mounting of /proc on Hurd (Closes: #814735)
  * Fix /sbin/poweroff alternative on Hurd (Closes: #825975)
  * Use forced fsck in mountroot.sh only if it is supported (Closes: #686895)
  * Simplify call to ischroot(1) in `sysvinit-core.postinst'
  * Update Dutch translation of debconf templates (Closes: #917419)
    + Thanks: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
  * Move /etc/init.d/{rc,rcS} scripts out of /etc, retaining
    symbolic link for compatibility (Closes: #132542)
  * Do not mount gfs, ocfs2 and gfs2 in mountall.sh script (Closes: #504748)
  * Specify pidfile option to `status_of_proc' function in `init-d-script'
    (Closes: #822674)
  * Add initscript to save and restore backlight brightness (Closes: #746221)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 05 Jan 2019 11:21:53 +0000

sysvinit (2.93-2) unstable; urgency=medium

  * Update German translation of debconf templates (Closes: #915159)
    + Thanks: Chris Leick <c.leick@vollbio.de>
  * Fix support of /tmp being symbolic link to non-existent directory
    (Closes: #915671)
    + Thanks: Serge Belyshev <belyshev@depni.sinp.msu.ru>
    + Thanks: Thorsten Glaser <t.glaser@tarent.de>
  * Invoke top-level upstream Makefile from `debian/rules'. This
    way VERSION macro is set correctly in source code.
  * Update French translation of debconf templates (Closes: #916624)
    + Thanks: Steve Petruzzello <dlist@bluewin.ch>
  * Remove misleading commends in `/etc/init.d/rc' (Closes: #717356)
    + Thanks: Алексей Шилин <rootlexx@mail.ru>
  * Disable concurrent boot if kernel boot parameter `concurrency=none'
    is present (Closes: #725970)
  * Re-introduce support for /etc/boot.d directory with scripts
    (Closes: #546401)
  * Fix bug number typo in changelog (Closes: #823660)
  * Do not mask errors in `init-d-script' (Closes: #822753)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 27 Dec 2018 09:49:41 +0000

sysvinit (2.93-1) unstable; urgency=medium

  * New upstream release (Closes: #914494)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 04 Dec 2018 04:23:18 +0000

=== debian/control ===
Source: sysvinit
Section: admin
Priority: optional
Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
Uploaders:
 Ian Jackson <ijackson@chiark.greenend.org.uk>,
 Benda Xu <heroxbd@gentoo.org>,
 Dmitry Bogatov <KAction@debian.org>,
 Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>,
Build-Depends:
 debhelper-compat (= 11),
 libselinux1-dev (>= 1.14) [linux-any],
 libsepol1-dev [linux-any],
 po-debconf,
 quilt (>= 0.40),
Standards-Version: 4.2.1
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Git: https://salsa.debian.org/debian/sysvinit.git
Vcs-Browser: https://salsa.debian.org/debian/sysvinit

Package: sysvinit-core
Architecture: any
Depends:
 debianutils (>= 4),
 initscripts (>= 2.88dsf-13.3),
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
 sysv-rc | openrc,
 sysvinit-utils (>= 2.86.ds1-66),
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 systemd-sysv,
 upstart,
Replaces:
 systemd-sysv,
 sysvinit (<< 2.88dsf-44~),
 upstart,
Suggests:
 bootlogd,
Description: System-V-like init utilities
 This package contains programs required for booting
 a Debian system and doing basic process management.
 .
 The most important program in the package is /sbin/init.
 It is the first process started on boot and continues
 to run as process number 1 until the system halts. All
 other processes are descended from it.

Package: sysvinit-utils
Priority: required
Essential: yes
Architecture: any
Multi-Arch: foreign
Replaces:
 initscripts (<< 2.88dsf-59.5),
Depends:
 init-system-helpers (>= 1.25~),
 util-linux (>> 2.28-2~),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 systemd (<< 215),
Description: System-V-like utilities
 This package contains the important System-V-like utilities.
 .
 Specifically, this package includes:
 killall5, pidof

Package: sysv-rc
Architecture: all
Multi-Arch: foreign
Recommends:
 lsb-base (>= 3.2-14),
Pre-Depends:
 init-system-helpers (>= 1.25~),
Depends:
 insserv (>> 1.12.0-10),
 startpar,
 sysvinit-utils (>= 2.86.ds1-62),
 ${misc:Depends},
Breaks:
 systemd (<< 215),
Description: System-V-like runlevel change mechanism
 This package provides support for the System-V like system
 for booting, changing runlevels, and shutting down,
 configured through symbolic links in /etc/rc?.d/.

Package: initscripts
Architecture: any
Multi-Arch: foreign
Depends:
 coreutils (>= 5.93),
 debianutils (>= 4),
 lsb-base (>= 3.2-14),
 sysv-rc | openrc,
 sysvinit-utils (>= 2.88dsf-59.5),
 ${misc:Depends},
 ${mount:Depends},
 ${shlibs:Depends},
Recommends:
 e2fsprogs,
 psmisc,
Breaks:
 hurd (<< 0.5.git20131101~),
 ifupdown (<< 0.7.46),
 util-linux (<< 2.26.2-4~),
Description: scripts for initializing and shutting down the system
 The scripts in this package initialize a standard Debian
 system at boot time and shut it down at halt or reboot time.

Package: bootlogd
Architecture: any
Depends:
 lsb-base (>= 3.2-14),
 ${misc:Depends},
 ${shlibs:Depends},
Description: daemon to log boot messages
 bootlogd logs all messages printed to the system console during system boot,
 and records those messages to a logfile.
 .
 Note that not all init systems print messages to the system console,
 so that the logfile may remain empty; this is the case with systemd
 (the default init system). Try "journalctl -b" instead.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	dh $@ $(DH_OPTIONS)
 
 override_dh_auto_build:
-	$(MAKE) $(CROSS) $(CONFFLAGS) -C src DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	$(MAKE) $(CROSS) $(CONFFLAGS) DISTRO=Debian LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install-arch:
 	$(MAKE) -C debian/src/bootlogd install DESTDIR=$(bootlogdtmp)
@@ -111,9 +111,13 @@
 	mv $(sysvtmp)/usr/share/man/man8/halt.8.gz $(sysvtmp)/usr/share/man/man8/halt-sysv.8.gz
 	rm $(sysvtmp)/usr/share/man/man8/reboot.8.gz
 	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/reboot-sysv.8.gz
+	rm $(sysvtmp)/usr/share/man/man8/poweroff.8.gz
+	ln -s halt-sysv.8.gz $(sysvtmp)/usr/share/man/man8/poweroff-sysv.8.gz
 	mv $(sysvtmp)/sbin/halt $(sysvtmp)/sbin/halt-sysv
 	rm $(sysvtmp)/sbin/reboot
 	ln -s halt-sysv $(sysvtmp)/sbin/reboot-sysv
+	rm $(sysvtmp)/sbin/poweroff
+	ln -s halt-sysv $(sysvtmp)/sbin/poweroff-sysv
 	# Add runsystem to conffiles, suppress lintian error
 	echo /etc/hurd/runsystem.sysv >> $(inittmp)/DEBIAN/conffiles
 else
